POST /api/v3/placeBenchmark/{benchmarkIndicator}/place/{placeId}/benchmarkValue

Creates a place benchmark value If a preceding benchmark value exists, the preceding record's end date will be changed to match the created records begin date If a succeeding benchmark value exists, the created record's end date will match the succeeding benchmarks begin date

CreatePlaceBenchmarkValueV3 Permissions: BuildingsAndOrganizations (Edit)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
benchmarkIndicator Indicator for the benchmark, can be 1, 2, or 3 integer (int32) Required
placeId The place that the benchmark is on integer (int32) Required

Request Body

BenchmarkValueRequest
Property Description Type
effectiveDate The effective date for the benchmark Required Must be first of the month Required Must be first of the month string (date-time)
value The benchmark value Required Max scale of 6 Must be between 0 and 1.7976931348623157E+308 Required Max scale of 6 Must be between 0 and 1.7976931348623157E+308 number (double)
Example Request Body application/json
{  "effectiveDate": "2026-03-30",  "value": 1.0
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

BenchmarkValuesResponse
Property Description Type
benchmarkCategory BenchmarkCategoryResponse
BenchmarkCategoryResponse properties
Property Description Type
benchmarkCategoryId Benchmark Category Id integer (int32)
benchmarkCategoryInfo Benchmark Category Info string
benchmarkIndicator Indicator for which benchmark factor Required (defined) integer (int32)
benchmarkInfo benchmark info Required (defined) string
benchmarkValues List of benchmark values and their effective dates Required (defined) BenchmarkValue[]
BenchmarkValue properties
Property Description Type
benchmarkValueId Indicator for which benchmark factor Required (defined) integer (int32)
effectiveDate Effective Date for the benchmark factor Required (defined) string (date-time)
endDate End Date for the benchmark factor Required (defined) string (date-time)
value Value set for the benchmark factor Required (defined) number (double)
Example Response application/json
{  "benchmarkCategory": {    "benchmarkCategoryId": 1,    "benchmarkCategoryInfo": "string"
  },  "benchmarkIndicator": 1,  "benchmarkInfo": "string",  "benchmarkValues": [
    {    "benchmarkValueId": 1,    "effectiveDate": "2026-03-30",    "endDate": "2026-03-30",    "value": 1.0
  }
  ]
}